-------------------------------------------------------------------
--CREATE LANGUAGE plpythonu;

CREATE OR REPLACE FUNCTION push_notifications_login(url text, login text, password text)
  RETURNS text AS
$BODY$

import urllib, urllib2
from cookielib import CookieJar

cj = CookieJar()
opener = urllib2.build_opener(urllib2.HTTPCookieProcessor(cj))

login_values = {'login': login,'password' : password}
login_data = urllib.urlencode(login_values)

login_resp = opener.open(url,login_data)
return login_resp.getcode()
  
$BODY$
  LANGUAGE plpythonu VOLATILE
  COST 100;
ALTER FUNCTION push_notifications_login(text, text, text)
  OWNER TO matteo;


CREATE OR REPLACE FUNCTION push_notifications_notify(url text, channel text, token text, payload text)
  RETURNS text AS
$BODY$

import urllib, urllib2
from cookielib import CookieJar

cj = CookieJar()
opener = urllib2.build_opener(urllib2.HTTPCookieProcessor(cj))

notify_values = {'channel' : channel, 'to_tokens': token,'payload': payload}
notify_data = urllib.urlencode(notify_values)

notify_resp = opener.open(url,notify_data)
return notify_resp.getcode()
  
$BODY$
  LANGUAGE plpythonu VOLATILE
  COST 100;
ALTER FUNCTION push_notifications_notify(text, text, text, text)
  OWNER TO matteo;

